VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "Feeder Example"
Id 1
NodeClass 
{
Id 1
Feature "rFrameFeature"
{
Name "Frame_2"

Visible 1
Value 0.999987885352 0 0 0 0 0.999975767892 0 0 0 0 0.999987882393 0 250 0.00193858270734 700 1 
UseAsGuide 1
}
Feature "rFrameFeature"
{
Name "Frame_1"

Visible 1
Value 0.999998100133 0 0 0 0 1 0 0 0 0 0.999998100133 0 500 200 700 1 
UseAsGuide 1
}
Feature "rFrameFeature"
{
Name "Frame"

Visible 1
Value 0.999999653865 0 0 0 0 0.999999999915 0 0 0 0 0.999999653781 0 250 200 700 1 
UseAsGuide 1
}
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "500"
}

Width 
{
  Expression "400 {mm}"
}

Height 
{
  Expression "700 {mm}"
}

}
VCID "c246a611-7cc3-4a64-bd53-375514676280"
}
Functionality "rOneWayPath"
{
Id 1
Name "OneWayPath"
Flags 8194
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Speed 200
Connection "Input"
{
Id 0
Type 1
Name  "Input"

}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
Path
{
Frames
{
Frame { Name "Frame" }
Frame { Name "Frame_1" }
}
}
Sensors
{
}
RetainOffset 1
SegmentSize 0
Accumulate 1
SpaceUtilization 1
Direction 1
PathAxis 1
}
Functionality "rResourceCreator"
{
Id 2
Name "ComponentCreator"
Flags 2
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Location "Frame_2"
Connection "Output"
{
Id 0
Type 2
Name  "Output"

Connection "ComponentContainer"
Port 0
}
Template "vcid:8457aa8b-1aac-42df-aa43-f27b23e60db6"
Interval 1
Limit 0
}
Functionality "rPythonScript"
{
Id 3
Name "PythonScript"
Script "from vcScript import *\n
\ncomp = getComponent()
\ncreator = comp.findBehaviour(\"ComponentCreator\")
\npath = comp.findBehaviour(\"OneWayPath\")
\n
\ndef OnRun():
\n  time = 0.5
\n  while True:
\n    for i in range(0,4):
\n      part = creator.create()
\n
\n      mtx = part.PositionMatrix
\n      mtx.translateRel(0,i*100+50,0)
\n      part.PositionMatrix = mtx
\n      
\n      path.grab(part)
\n      delay(time)"
CompatibilityMode 0
}
Functionality "rSimContainer"
{
Id 4
Name "ComponentContainer"
Flags 2
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Connection "Input"
{
Id 0
Type 1
Name  "Input"

Connection "ComponentCreator"
Port 0
}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
}
VCID c246a611-7cc3-4a64-bd53-375514676280
Revision 1
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
}
